This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1310697 - rpm testsuite failing on ppc64
rpm testsuite failing on ppc64
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: rpm (Show other bugs)
6.7
ppc64 Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks: 1355985 1373252
  Show dependency treegraph
 
Reported: 2016-02-22 09:34 EST by Karel Srot
Modified: 2017-10-10 09:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-10 09:58:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2016-02-22 09:34:28 EST
Description of problem:

## ------------------------ ##
## Summary of the failures. ##
## ------------------------ ##
Failed tests:
rpm 4.8.0 test suite test groups:

 NUM: FILE-NAME:LINE     TEST-GROUP-NAME
      KEYWORDS

  12: rpmquery.at:105    rpm -qil hello
      rpmdb install query
  29: rpmdb.at:36        rpm -qa
      rpmdb query
  30: rpmdb.at:51        rpm -i *.noarch.rpm
      rpmdb install
  31: rpmdb.at:73        rpm -i --relocate=.. *.i386.rpm
      rpmdb install
  32: rpmdb.at:95        rpm -i --relocate=.. *.ppc64.rpm
      rpmdb install
  33: rpmdb.at:116       rpm -U and verify status
      install rpmdb query
  34: rpmdb.at:138       rpm -U with _install_lang and verify status
      install rpmdb query
  35: rpmdb.at:162       rpm -U and verify files on disk
      install rpmdb
  36: rpmdb.at:184       rpm -e and verify files removed
      install rpmdb
  46: rpmvercmp.at:7     rpm -U upgrade to newer
  47: rpmvercmp.at:27    rpm -U upgrade to older
  48: rpmvercmp.at:40    rpm -U --oldpackage downgrade
  49: rpmvercmp.at:54    rpm -U two versions of same package
  50: rpmvercmp.at:69    rpm -i two versions of same package
  51: rpmvercmp.at:84    rpm -i identical versions of same package
  53: rpmconflict.at:30  rpm -U two packages with a conflicting file
      install
  54: rpmconflict.at:46  rpm -U package with shareable file
      install
  55: rpmconflict.at:69  rpm -U two packages with shareable file
      install
  56: rpmconflict.at:86  rpm -U replacing directory with symlink
      install
  57: rpmconflict.at:111 rpm -U replacing symlink with directory
      install
  58: rpmconfig.at:7     rpm -U to package with unchanged config file
      install
  59: rpmconfig.at:30    rpm -U to package with locally modified config file
      install
  60: rpmconfig.at:54    rpm -U to package with unchanged config file
      install
  61: rpmconfig.at:77    rpm -U to package with modified config file
      install

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Florian Festi 2017-10-10 09:58:33 EDT
May be this is not important enough to fix unless it affects some real packages.
Comment 3 Red Hat Bugzilla Rules Engine 2017-10-10 09:58:38 EDT
Development Management has reviewed and declined this request. You may appeal this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.